cURL
curl --request GET \
--url 'https://api.iomnihub.ai/stable/open/whatsapp/get-template-detail?api_key='import requests
url = "https://api.iomnihub.ai/stable/open/whatsapp/get-template-detail?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.iomnihub.ai/stable/open/whatsapp/get-template-detail?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "submit_feedback",
"body": "Hi {{1}}, please submit your feedback for our service",
"header": {
"value": "Submit Feedback"
},
"footer": "Powered by iOmniHub",
"buttons": [
{
"id": 123,
"title": "Submit Feedback",
"value": "Submit Feedback"
}
],
"attributes": [
{
"attribute": "1"
}
]
}{
"error": "<string>",
"code": "<string>",
"success": true
}{
"detail": "Invalid api key provided."
}WhatsApp
Get Template Details
Get the list of whatsapp templates associated with a platform
GET
/
stable
/
open
/
whatsapp
/
get-template-detail
cURL
Authorizations
Query Parameters
The Id of the WhatsApp Platform, can be found in iOmniHub Dashboard or with API
The Template Id of the Template, can be found in iOmniHub Dashboard or with API
Response
Successful operation
Example:
"submit_feedback"
Example:
"Hi {{1}}, please submit your feedback for our service"
Show child attributes
Show child attributes
Example:
"Powered by iOmniHub"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I